BEGIN ~W_PCC01~

IF ~OR(2)
      Global("W_PCC01","GLOBAL",0)
      Global("W_PCC01","GLOBAL",1)~ THEN BEGIN initial_0
      SAY ~Kryształ naładowany~
       IF ~~ THEN REPLY ~Wyjście.~ EXIT
END

IF ~Global("W_PCC01","GLOBAL",2)~ THEN BEGIN initial_2
      SAY ~Kryształ rozładowany~
       IF ~~ THEN REPLY ~Naładuj kryształ.~ GOTO reload
       IF ~~ THEN REPLY ~Wyjście~ EXIT
END

IF ~~ THEN BEGIN reload
  SAY ~Kryształzostał ponownie naładowany~
    IF ~~ THEN DO ~SetGlobal("W_PCC01","GLOBAL",1)
    	           ReallyForceSpellRES("W_PCC01B",Myself)
    	           ~ EXIT //TakeItemReplace("W_PCC01","W_PCC01",Myself)
END